with import <nixpkgs> { };

stdenv.mkDerivation rec {
  name = "cert-manager";
  version = "v1.7.1";
  src = fetchurl {
    url =
      "https://github.com/cert-manager/cert-manager/releases/download/${version}/cmctl-linux-amd64.tar.gz";
    sha256 = "1z5n2rcfhrl1vm5vxqa1759m3prlv08mmg96n16p4gwkdxycznx4";
  };

  nativeBuildInputs = [ autoPatchelfHook ];

  unpackPhase = ''
    tar xvpzf $src
  '';

  installPhase = ''
    install -m 755 -D cmctl $out/bin/cmctl
  '';

  meta = with lib; {
    homepage = "https://cert-manager.io";
    description = "cert-manager CLI";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
