with import <nixpkgs> { };

stdenv.mkDerivation rec {
  name = "helm2";
  version = "2.14.3";
  src = fetchurl {
    url = "https://get.helm.sh/helm-v${version}-linux-amd64.tar.gz";
    sha256 = "38614a665859c0f01c9c1d84fa9a5027364f936814d1e47839b05327e400bf55";
  };

  nativeBuildInputs = [ autoPatchelfHook ];

  unpackPhase = ''
    tar xvpzf $src
  '';

  installPhase = ''
    install -m 755 -D linux-amd64/helm $out/bin/helm2
  '';

  meta = with lib; {
    homepage = "https://helm.sh";
    description = "helms depricated v2 verison";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
