with import <nixpkgs> { };

stdenv.mkDerivation rec {
  name = "skaffold";
  version = "1.17.2";
  src = fetchurl {
    url =
      "https://github.com/GoogleContainerTools/skaffold/releases/download/v${version}/skaffold-linux-amd64";
    sha256 = "55dea8be16fa3abd81820a6a03f5d708beb5e152fe71e00f00744a4dd321c55a";
  };

  nativeBuildInputs = [ autoPatchelfHook ];

  unpackPhase = ''
    cp $src skaffold
  '';

  installPhase = ''
    install -m 755 -D skaffold $out/bin/skaffold
    echo $out/bin/skaffold
    ls -lah $out/bin/skaffold
  '';

  meta = with lib; {
    homepage = "https://skaffold.dev";
    description = "skaffold";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
